### Function: AddRespawn(zone, location_id, respawn_time)

**Description:**
Creates a new respawn using the location_id for the Zone and sets the respawn_time provided.

**Parameters:**
- `zone` (Zone) - Zone object representing `zone`.
- `location_id` (uint32) - Integer value `location_id`.
- `respawn_time` (int32) - Time value `respawn_time` in seconds.

**Returns:** None.

**Example:**

Example Required
